GULP fait n'importe quoi sur ma version du ZdS

aidez un pauvre petit dévellopeur qui pige pas ce qu'il fait o_O

L'auteur de ce sujet a trouvé une solution à son problème.
Auteur du sujet

Bien le bonsoir,

À l'occasion, je développe pour le ZDS, qui utilise GULP pour gérer tout son bazar pour le front. Personnellement, j'y connais pas grand chose, mais comme de temps à autre y'a des PR à vérifier, j'utilise quand même cet outil pour regénérer CSS/image/JS quand c'est nécéssaire.

Sauf que pour des raisons personnelles, j'ai décidé récemment de changer mon dossier contenant les sources du site de place. Je suis donc reparti de zéro (git clone et tout ça), et depuis, c'est un peu cauchemardesque : à chaque fois que je fait gulp build, il recrée le dossier assets à la place ou les sources de ZdS se trouvaient à la base et remet des images dedans (dafuq?), et il ne crée pas le dossier static, ce qui fait que certaines images du site n'apparaissent plus en local (par exemple, les smilies). J'avoue que c'est un peu gênant. Et pas moyen de trouver l'endroit ou gulp pourrait stocker ça pour l'en déloger.

Pour donner quelques précisions, je suis sous Debian/tested, et j'ai déjà tenté de désinstaller/réinstaller nodejs, npm et gulp. Plusieurs fois (avec des résultats peu convainquant, j'ai l'impression). Et je ne comprend pas un traitre mot de ce que me sort npm à chaque fois, qui a une sale manie à en dire de trop et qui ne lésine pas sur les WARN et les ERR (en m'engeulant systématiquement comme quoi j'utilise une version "legacy" du programme et que c'est probablement pour ça que j'ai tout ces ennuis o_O ).

D'avance merci à qui pourra m'aider :)

PS: j'ai hésité à mettre ça dans la dev' zone, puis je l'ai pas fait, en me disant que c'était pas le but. Si c'est le cas, déplacez le topic.

Doctorant et assistant en chimie à l'Université de NamurEx-dev' pour ZdS (a aidé à réaliser la ZEP-12 !) • Carniste cis (y parait que c'est une injure)

+0 -0
  • Tu as supprimé totalement l'ancien dossier contenant les sources du site ?
  • Dans le nouveau dossier contenant les sources, tu peux lancer les commandes de nettoyage disponible ici

Médicament flemmard aux pul(p)sions imprécises. “Don’t wait for the perfect moment. Take the moment and make it perfect.”

+0 -0
Auteur du sujet
  • Tu as supprimé totalement l'ancien dossier contenant les sources du site ?

Bien sur. Plusieurs fois (puisqu'il en recrée une partie à chaque fois).

  • Dans le nouveau dossier contenant les sources, tu peux lancer les commandes de nettoyage disponible ici

Situphen

Je viens d'essayer … Ça n'as malheureusement pas eu beaucoup d'effet :

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
├── ZdS ← ANCIEN DOSSIER CONTENANT LES SOURCES
│   └── main
│       └── assets ← DOSSIER QUE GULP S'AMUSE À RECRÉER À CHAQUE FOIS
│           ├── images
│           └── smileys
└── zds-site  ← POSITION ACTUELLE DES SOURCES
    ├── articles-data
    ├── assets
    │   ├── bower_components
    │   ├── images
    │   ├── js
    │   ├── scss
    │   ├── smileys
    │   └── tex
    ├── dist
    │   ├── css
    │   ├── images
    │   ├── js
    │   └── smileys
    ├── doc
    │   └── sphinx
    ├── errors
    │   ├── css
    │   ├── images
    │   └── scss
    ├── fixtures
    │   ├── advanced
    │   └── tuto
    ├── geodata
    ├── media
    ├── node_modules
    │   ├── bower
    │   ├── del
    │   ├── gulp
    │   ├── gulp-autoprefixer
    │   ├── gulp-cache
    │   ├── gulp-concat
    │   ├── gulp-filter
    │   ├── gulp-flatten
    │   ├── gulp-imagemin
    │   ├── gulp-jshint
    │   ├── gulp-livereload
    │   ├── gulp-load-plugins
    │   ├── gulp-minify-css
    │   ├── gulp-newer
    │   ├── gulp-rename
    │   ├── gulp-sass
    │   ├── gulp-size
    │   ├── gulp.spritesmith
    │   ├── gulp-uglify
    │   ├── gulp-zip
    │   ├── jshint-stylish
    │   └── main-bower-files
    ├── server
    ├── templates
    │   ├── article
    │   ├── email
    │   ├── forum
    │   ├── gallery
    │   ├── member
    │   ├── misc
    │   ├── mp
    │   ├── pages
    │   ├── search
    │   └── tutorial
    ├── tutoriels-private
    ├── zds
    │   ├── article
    │   ├── forum
    │   ├── gallery
    │   ├── member
    │   ├── middlewares
    │   ├── mp
    │   ├── munin
    │   ├── pages
    │   ├── search
    │   ├── tutorial
    │   └── utils
    └── zdsenv
        ├── bin
        ├── include
        ├── lib
        └── local
← PAS DE DOSSIER "STATIC"

Et du coup, quand je vais sur la home, j'ai ça :

(on voit qu'il manque Clem' et l'image du haut à gauche)

Et quand je tente de visualiser l'image de Clem :

Doctorant et assistant en chimie à l'Université de NamurEx-dev' pour ZdS (a aidé à réaliser la ZEP-12 !) • Carniste cis (y parait que c'est une injure)

+0 -0

Tu peux me montrer le dossier parent de "ZdS" et "zds-site" avec les fichiers cachés s'il te plait ?

Médicament flemmard aux pul(p)sions imprécises. “Don’t wait for the perfect moment. Take the moment and make it perfect.”

+0 -0
Auteur du sujet

Bien sur :)

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
pbeaujea@chim13-cptrx04:~/Devels$ ls -alh
total 56K
drwxr-xr-x 14 pbeaujea pbeaujea 4.0K Dec 14 14:13 .
drwxr-xr-x 77 pbeaujea pbeaujea 4.0K Dec 14 14:11 ..
drwx------  4 pbeaujea pbeaujea 4.0K Feb  2  2014 bibly
drwxr-xr-x  3 pbeaujea pbeaujea 4.0K Mar  1  2014 dolphin-emu
drwxr-xr-x  5 pbeaujea pbeaujea 4.0K Feb 19  2014 g09-x
drwxr-xr-x  6 pbeaujea pbeaujea 4.0K Nov  3 09:26 jacobi
drwxr-xr-x  5 pbeaujea pbeaujea 4.0K Sep 24 20:25 old
drwxr-xr-x 10 pbeaujea pbeaujea 4.0K Dec 11 19:13 pbeaujea-scripts
drwx------  8 pbeaujea pbeaujea 4.0K Jan 18  2014 pdk
drwxr-xr-x  6 pbeaujea pbeaujea 4.0K Dec 12 23:09 py3env
drwxr-xr-x  8 pbeaujea pbeaujea 4.0K Sep  5 20:11 pycharm-3.4.1
drwxr-xr-x  5 pbeaujea pbeaujea 4.0K Feb  4  2014 py-lct
drwxr-xr-x  3 pbeaujea pbeaujea 4.0K Dec 14 14:13 ZdS
drwxr-xr-x 18 pbeaujea pbeaujea 4.0K Dec 14 14:25 zds-site

Doctorant et assistant en chimie à l'Université de NamurEx-dev' pour ZdS (a aidé à réaliser la ZEP-12 !) • Carniste cis (y parait que c'est une injure)

+0 -0
Auteur du sujet

Bien sur ;)

  1
  2
  3
  4
  5
  6
  7
  8
  9
 10
 11
 12
 13
 14
 15
 16
 17
 18
 19
 20
 21
 22
 23
 24
 25
 26
 27
 28
 29
 30
 31
 32
 33
 34
 35
 36
 37
 38
 39
 40
 41
 42
 43
 44
 45
 46
 47
 48
 49
 50
 51
 52
 53
 54
 55
 56
 57
 58
 59
 60
 61
 62
 63
 64
 65
 66
 67
 68
 69
 70
 71
 72
 73
 74
 75
 76
 77
 78
 79
 80
 81
 82
 83
 84
 85
 86
 87
 88
 89
 90
 91
 92
 93
 94
 95
 96
 97
 98
 99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
pbeaujea@chim13-cptrx04:~/Devels/zds-site$ npm update 
get-stdin@1.0.0 node_modules/gulp-size/node_modules/pretty-bytes/node_modules/get-stdin
concat-map@0.0.0 node_modules/main-bower-files/node_modules/glob/node_modules/minimatch/node_modules/brace-expansion/node_modules/concat-map
concat-map@0.0.0 node_modules/bower/node_modules/fstream-ignore/node_modules/minimatch/node_modules/brace-expansion/node_modules/concat-map
concat-map@0.0.0 node_modules/gulp/node_modules/vinyl-fs/node_modules/glob-stream/node_modules/minimatch/node_modules/brace-expansion/node_modules/concat-map
clone@0.1.19 node_modules/gulp/node_modules/vinyl-fs/node_modules/defaults/node_modules/clone
minimist@0.0.8 node_modules/bower/node_modules/mkdirp/node_modules/minimist
minimist@0.0.8 node_modules/gulp/node_modules/vinyl-fs/node_modules/mkdirp/node_modules/minimist
minimist@0.0.10 node_modules/bower/node_modules/bower-config/node_modules/optimist/node_modules/minimist
traverse@0.3.9 node_modules/bower/node_modules/decompress-zip/node_modules/binary/node_modules/chainsaw/node_modules/traverse
npm WARN deprecated gulp-rimraf@0.1.1: Use npmjs.org/del instead, see https://github.com/gulpjs/gulp/blob/master/docs/recipes/delete-files-folder.md
colors@0.6.2 node_modules/main-bower-files/node_modules/colors
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/gulp.spritesmith/node_modules/gulp-util requires through2@'^0.5.0' but will load
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/gulp.spritesmith/node_modules/through2,
npm WARN unmet dependency which is version 0.6.3
underscore@1.6.0 node_modules/gulp.spritesmith/node_modules/underscore
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/gulp-jshint/node_modules/jshint/node_modules/cli/node_modules/glob requires minimatch@'0.3' but will load
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/gulp-jshint/node_modules/jshint/node_modules/minimatch,
npm WARN unmet dependency which is version 1.0.0
underscore@1.6.0 node_modules/gulp-jshint/node_modules/jshint/node_modules/underscore
archy@0.0.2 node_modules/bower/node_modules/archy
underscore@1.4.4 node_modules/gulp.spritesmith/node_modules/json2css/node_modules/underscore
graceful-fs@2.0.3 node_modules/bower/node_modules/bower-registry-client/node_modules/graceful-fs
graceful-fs@2.0.3 node_modules/bower/node_modules/bower-json/node_modules/graceful-fs
graceful-fs@2.0.3 node_modules/bower/node_modules/bower-config/node_modules/graceful-fs
lru-cache@2.3.1 node_modules/bower/node_modules/bower-registry-client/node_modules/lru-cache
deep-extend@0.2.11 node_modules/bower/node_modules/bower-json/node_modules/deep-extend
retry@0.6.0 node_modules/bower/node_modules/retry
mkdirp@0.3.5 node_modules/bower/node_modules/bower-registry-client/node_modules/mkdirp
q@1.0.1 node_modules/bower/node_modules/decompress-zip/node_modules/q
tmp@0.0.23 node_modules/bower/node_modules/tmp
q@1.0.1 node_modules/bower/node_modules/q
async@0.2.10 node_modules/bower/node_modules/bower-registry-client/node_modules/async
intersect@0.0.3 node_modules/bower/node_modules/bower-json/node_modules/intersect
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/bower/node_modules/p-throttler requires q@'~0.9.2' but will load
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/bower/node_modules/q,
npm WARN unmet dependency which is version 1.0.1
semver@2.3.2 node_modules/bower/node_modules/semver
osenv@0.0.3 node_modules/bower/node_modules/bower-config/node_modules/osenv
ansi-styles@1.1.0 node_modules/gulp/node_modules/chalk/node_modules/ansi-styles
ansi-styles@1.1.0 node_modules/gulp-zip/node_modules/chalk/node_modules/ansi-styles
ansi-styles@1.1.0 node_modules/gulp-size/node_modules/chalk/node_modules/ansi-styles
ansi-styles@1.1.0 node_modules/gulp-cache/node_modules/gulp-util/node_modules/chalk/node_modules/ansi-styles
ansi-styles@1.1.0 node_modules/gulp-jshint/node_modules/gulp-util/node_modules/chalk/node_modules/ansi-styles
ansi-styles@1.1.0 node_modules/bower/node_modules/insight/node_modules/chalk/node_modules/ansi-styles
ansi-styles@1.1.0 node_modules/gulp-livereload/node_modules/gulp-util/node_modules/chalk/node_modules/ansi-styles
ansi-styles@1.1.0 node_modules/gulp-filter/node_modules/gulp-util/node_modules/chalk/node_modules/ansi-styles
ansi-styles@1.1.0 node_modules/gulp-minify-css/node_modules/gulp-util/node_modules/chalk/node_modules/ansi-styles
object-assign@0.3.1 node_modules/bower/node_modules/insight/node_modules/configstore/node_modules/object-assign
object-assign@1.0.0 node_modules/bower/node_modules/insight/node_modules/object-assign
supports-color@0.2.0 node_modules/gulp-size/node_modules/chalk/node_modules/supports-color
supports-color@0.2.0 node_modules/gulp/node_modules/chalk/node_modules/supports-color
supports-color@0.2.0 node_modules/gulp-zip/node_modules/chalk/node_modules/supports-color
supports-color@0.2.0 node_modules/gulp-minify-css/node_modules/gulp-util/node_modules/chalk/node_modules/supports-color
supports-color@0.2.0 node_modules/gulp-jshint/node_modules/gulp-util/node_modules/chalk/node_modules/supports-color
supports-color@0.2.0 node_modules/gulp-filter/node_modules/gulp-util/node_modules/chalk/node_modules/supports-color
supports-color@0.2.0 node_modules/gulp-cache/node_modules/gulp-util/node_modules/chalk/node_modules/supports-color
supports-color@0.2.0 node_modules/gulp-livereload/node_modules/gulp-util/node_modules/chalk/node_modules/supports-color
supports-color@0.2.0 node_modules/bower/node_modules/insight/node_modules/chalk/node_modules/supports-color
object-assign@1.0.0 node_modules/gulp/node_modules/gulp-util/node_modules/dateformat/node_modules/meow/node_modules/object-assign
object-assign@1.0.0 node_modules/gulp-zip/node_modules/gulp-util/node_modules/dateformat/node_modules/meow/node_modules/object-assign
object-assign@1.0.0 node_modules/gulp-size/node_modules/gulp-util/node_modules/dateformat/node_modules/meow/node_modules/object-assign
object-assign@1.0.0 node_modules/gulp-minify-css/node_modules/gulp-util/node_modules/dateformat/node_modules/meow/node_modules/object-assign
object-assign@1.0.0 node_modules/gulp-jshint/node_modules/gulp-util/node_modules/dateformat/node_modules/meow/node_modules/object-assign
object-assign@1.0.0 node_modules/gulp-filter/node_modules/gulp-util/node_modules/dateformat/node_modules/meow/node_modules/object-assign
object-assign@1.0.0 node_modules/gulp-cache/node_modules/gulp-util/node_modules/dateformat/node_modules/meow/node_modules/object-assign
object-assign@1.0.0 node_modules/gulp-livereload/node_modules/gulp-util/node_modules/dateformat/node_modules/meow/node_modules/object-assign
array-filter@0.0.1 node_modules/bower/node_modules/shell-quote/node_modules/array-filter
commander@2.2.0 node_modules/gulp-minify-css/node_modules/clean-css/node_modules/commander
p-throttler@0.1.0 node_modules/bower/node_modules/p-throttler
└── q@0.9.7
date-now@0.1.4 node_modules/gulp-jshint/node_modules/jshint/node_modules/console-browserify/node_modules/date-now
uuid@1.4.2 node_modules/bower/node_modules/insight/node_modules/configstore/node_modules/uuid
entities@1.0.0 node_modules/gulp-jshint/node_modules/jshint/node_modules/htmlparser2/node_modules/entities
extend@1.3.0 node_modules/gulp/node_modules/liftoff/node_modules/extend
mustache@0.7.3 node_modules/gulp.spritesmith/node_modules/json2css/node_modules/mustache
map-stream@0.1.0 node_modules/gulp-cache/node_modules/map-stream
mout@0.9.1 node_modules/bower/node_modules/bower-config/node_modules/mout
mout@0.9.1 node_modules/bower/node_modules/mout
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/gulp-jshint/node_modules/jshint/node_modules/cli/node_modules/glob requires minimatch@'0.3' but will load
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/gulp-jshint/node_modules/jshint/node_modules/minimatch,
npm WARN unmet dependency which is version 1.0.0
minimatch@1.0.0 node_modules/gulp-jshint/node_modules/jshint/node_modules/minimatch
├── sigmund@1.0.0
└── lru-cache@2.5.0
minimatch@1.0.0 node_modules/main-bower-files/node_modules/minimatch
├── sigmund@1.0.0
└── lru-cache@2.5.0
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/gulp-jshint/node_modules/jshint/node_modules/cli/node_modules/glob requires minimatch@'0.3' but will load
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/gulp-jshint/node_modules/jshint/node_modules/minimatch,
npm WARN unmet dependency which is version 1.0.0
minimatch@1.0.0 node_modules/gulp-jshint/node_modules/minimatch
├── sigmund@1.0.0
└── lru-cache@2.5.0
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/gulp-livereload/node_modules/tiny-lr/node_modules/body-parser requires qs@'2.2.4' but will load
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/gulp-livereload/node_modules/tiny-lr/node_modules/qs,
npm WARN unmet dependency which is version 2.2.5
debug@0.8.1 node_modules/gulp-livereload/node_modules/tiny-lr/node_modules/debug
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/gulp-livereload/node_modules/tiny-lr/node_modules/body-parser requires qs@'2.2.4' but will load
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/gulp-livereload/node_modules/tiny-lr/node_modules/qs,
npm WARN unmet dependency which is version 2.2.5
qs@2.2.5 node_modules/gulp-livereload/node_modules/tiny-lr/node_modules/qs
glob@3.2.11 node_modules/gulp/node_modules/liftoff/node_modules/findup-sync/node_modules/glob
├── inherits@2.0.1
└── minimatch@0.3.0 (sigmund@1.0.0, lru-cache@2.5.0)
glob@3.2.11 node_modules/gulp-jshint/node_modules/jshint/node_modules/cli/node_modules/glob
├── inherits@2.0.1
└── minimatch@0.3.0 (sigmund@1.0.0, lru-cache@2.5.0)
request-progress@0.3.0 node_modules/bower/node_modules/request-progress
└── throttleit@0.0.2
request-replay@0.2.0 node_modules/bower/node_modules/bower-registry-client/node_modules/request-replay
└── retry@0.6.1
url@0.7.9 node_modules/gulp.spritesmith/node_modules/url2/node_modules/url
├── querystring@0.1.0
└── punycode@1.0.0
optimist@0.3.7 node_modules/bower/node_modules/handlebars/node_modules/optimist
└── wordwrap@0.0.2
meow@1.0.0 node_modules/gulp-minify-css/node_modules/gulp-util/node_modules/dateformat/node_modules/meow/node_modules/indent-string/node_modules/repeating/node_modules/meow
├── object-assign@1.0.0
├── camelcase-keys@1.0.0 (camelcase@1.0.2, map-obj@1.0.0)
├── minimist@1.1.0
└── indent-string@1.2.0 (get-stdin@3.0.2)
meow@1.0.0 node_modules/gulp-jshint/node_modules/gulp-util/node_modules/dateformat/node_modules/meow/node_modules/indent-string/node_modules/repeating/node_modules/meow
├── object-assign@1.0.0
├── camelcase-keys@1.0.0 (map-obj@1.0.0, camelcase@1.0.2)
├── minimist@1.1.0
└── indent-string@1.2.0 (get-stdin@3.0.2)
meow@1.0.0 node_modules/gulp-livereload/node_modules/gulp-util/node_modules/dateformat/node_modules/meow/node_modules/indent-string/node_modules/repeating/node_modules/meow
├── object-assign@1.0.0
├── camelcase-keys@1.0.0 (camelcase@1.0.2, map-obj@1.0.0)
├── minimist@1.1.0
└── indent-string@1.2.0 (get-stdin@3.0.2)
meow@1.0.0 node_modules/gulp-size/node_modules/gulp-util/node_modules/dateformat/node_modules/meow/node_modules/indent-string/node_modules/repeating/node_modules/meow
├── object-assign@1.0.0
├── camelcase-keys@1.0.0 (camelcase@1.0.2, map-obj@1.0.0)
├── minimist@1.1.0
└── indent-string@1.2.0 (get-stdin@3.0.2)
meow@1.0.0 node_modules/gulp-filter/node_modules/gulp-util/node_modules/dateformat/node_modules/meow/node_modules/indent-string/node_modules/repeating/node_modules/meow
├── object-assign@1.0.0
├── camelcase-keys@1.0.0 (map-obj@1.0.0, camelcase@1.0.2)
├── minimist@1.1.0
└── indent-string@1.2.0 (get-stdin@3.0.2)
meow@1.0.0 node_modules/gulp-zip/node_modules/gulp-util/node_modules/dateformat/node_modules/meow/node_modules/indent-string/node_modules/repeating/node_modules/meow
├── object-assign@1.0.0
├── camelcase-keys@1.0.0 (camelcase@1.0.2, map-obj@1.0.0)
├── minimist@1.1.0
└── indent-string@1.2.0 (get-stdin@3.0.2)
meow@1.0.0 node_modules/gulp/node_modules/gulp-util/node_modules/dateformat/node_modules/meow/node_modules/indent-string/node_modules/repeating/node_modules/meow
├── object-assign@1.0.0
├── camelcase-keys@1.0.0 (map-obj@1.0.0, camelcase@1.0.2)
├── minimist@1.1.0
└── indent-string@1.2.0 (get-stdin@3.0.2)
meow@1.0.0 node_modules/gulp-cache/node_modules/gulp-util/node_modules/dateformat/node_modules/meow/node_modules/indent-string/node_modules/repeating/node_modules/meow
├── object-assign@1.0.0
├── camelcase-keys@1.0.0 (map-obj@1.0.0, camelcase@1.0.2)
├── minimist@1.1.0
└── indent-string@1.2.0 (get-stdin@3.0.2)
has-ansi@0.1.0 node_modules/gulp-size/node_modules/chalk/node_modules/has-ansi
└── ansi-regex@0.2.1
has-ansi@0.1.0 node_modules/gulp/node_modules/chalk/node_modules/has-ansi
└── ansi-regex@0.2.1
strip-ansi@0.3.0 node_modules/gulp-zip/node_modules/chalk/node_modules/strip-ansi
└── ansi-regex@0.2.1
has-ansi@0.1.0 node_modules/gulp-zip/node_modules/chalk/node_modules/has-ansi
└── ansi-regex@0.2.1
strip-ansi@0.3.0 node_modules/gulp/node_modules/chalk/node_modules/strip-ansi
└── ansi-regex@0.2.1
strip-ansi@0.3.0 node_modules/gulp-size/node_modules/chalk/node_modules/strip-ansi
└── ansi-regex@0.2.1
has-ansi@0.1.0 node_modules/gulp-cache/node_modules/gulp-util/node_modules/chalk/node_modules/has-ansi
└── ansi-regex@0.2.1
has-ansi@0.1.0 node_modules/gulp-livereload/node_modules/gulp-util/node_modules/chalk/node_modules/has-ansi
└── ansi-regex@0.2.1
has-ansi@0.1.0 node_modules/gulp-jshint/node_modules/gulp-util/node_modules/chalk/node_modules/has-ansi
└── ansi-regex@0.2.1
has-ansi@0.1.0 node_modules/gulp-filter/node_modules/gulp-util/node_modules/chalk/node_modules/has-ansi
└── ansi-regex@0.2.1
has-ansi@0.1.0 node_modules/gulp-minify-css/node_modules/gulp-util/node_modules/chalk/node_modules/has-ansi
└── ansi-regex@0.2.1
strip-ansi@0.3.0 node_modules/gulp-filter/node_modules/gulp-util/node_modules/chalk/node_modules/strip-ansi
└── ansi-regex@0.2.1
strip-ansi@0.3.0 node_modules/gulp-minify-css/node_modules/gulp-util/node_modules/chalk/node_modules/strip-ansi
└── ansi-regex@0.2.1
strip-ansi@0.3.0 node_modules/gulp-livereload/node_modules/gulp-util/node_modules/chalk/node_modules/strip-ansi
└── ansi-regex@0.2.1
strip-ansi@0.3.0 node_modules/gulp-cache/node_modules/gulp-util/node_modules/chalk/node_modules/strip-ansi
└── ansi-regex@0.2.1
strip-ansi@0.3.0 node_modules/gulp-jshint/node_modules/gulp-util/node_modules/chalk/node_modules/strip-ansi
└── ansi-regex@0.2.1
strip-ansi@0.3.0 node_modules/bower/node_modules/insight/node_modules/chalk/node_modules/strip-ansi
└── ansi-regex@0.2.1
has-ansi@0.1.0 node_modules/bower/node_modules/insight/node_modules/chalk/node_modules/has-ansi
└── ansi-regex@0.2.1
chalk@0.5.0 node_modules/bower/node_modules/chalk
├── escape-string-regexp@1.0.2
├── ansi-styles@1.1.0
├── supports-color@0.2.0
├── has-ansi@0.1.0 (ansi-regex@0.2.1)
└── strip-ansi@0.3.0 (ansi-regex@0.2.1)
readable-stream@1.1.13 node_modules/gulp-minify-css/node_modules/bufferstreams/node_modules/readable-stream
├── isarray@0.0.1
├── inherits@2.0.1
├── string_decoder@0.10.31
└── core-util-is@1.0.1
readable-stream@1.1.13 node_modules/gulp-size/node_modules/gzip-size/node_modules/concat-stream/node_modules/readable-stream
├── isarray@0.0.1
├── string_decoder@0.10.31
└── core-util-is@1.0.1
readable-stream@1.1.13 node_modules/gulp/node_modules/gulp-util/node_modules/multipipe/node_modules/duplexer2/node_modules/readable-stream
├── isarray@0.0.1
├── inherits@2.0.1
├── string_decoder@0.10.31
└── core-util-is@1.0.1
readable-stream@1.1.13 node_modules/gulp-filter/node_modules/gulp-util/node_modules/multipipe/node_modules/duplexer2/node_modules/readable-stream
├── isarray@0.0.1
├── inherits@2.0.1
├── string_decoder@0.10.31
└── core-util-is@1.0.1
readable-stream@1.1.13 node_modules/gulp-size/node_modules/gulp-util/node_modules/multipipe/node_modules/duplexer2/node_modules/readable-stream
├── isarray@0.0.1
├── inherits@2.0.1
├── string_decoder@0.10.31
└── core-util-is@1.0.1
readable-stream@1.1.13 node_modules/gulp-cache/node_modules/gulp-util/node_modules/multipipe/node_modules/duplexer2/node_modules/readable-stream
├── isarray@0.0.1
├── inherits@2.0.1
├── string_decoder@0.10.31
└── core-util-is@1.0.1
readable-stream@1.1.13 node_modules/gulp-zip/node_modules/gulp-util/node_modules/multipipe/node_modules/duplexer2/node_modules/readable-stream
├── isarray@0.0.1
├── inherits@2.0.1
├── string_decoder@0.10.31
└── core-util-is@1.0.1
readable-stream@1.1.13 node_modules/gulp-livereload/node_modules/gulp-util/node_modules/multipipe/node_modules/duplexer2/node_modules/readable-stream
├── isarray@0.0.1
├── inherits@2.0.1
├── string_decoder@0.10.31
└── core-util-is@1.0.1
readable-stream@1.1.13 node_modules/gulp-jshint/node_modules/gulp-util/node_modules/multipipe/node_modules/duplexer2/node_modules/readable-stream
├── isarray@0.0.1
├── inherits@2.0.1
├── string_decoder@0.10.31
└── core-util-is@1.0.1
readable-stream@1.1.13 node_modules/gulp-minify-css/node_modules/gulp-util/node_modules/multipipe/node_modules/duplexer2/node_modules/readable-stream
├── isarray@0.0.1
├── inherits@2.0.1
├── string_decoder@0.10.31
└── core-util-is@1.0.1
readable-stream@1.1.13 node_modules/gulp-jshint/node_modules/jshint/node_modules/htmlparser2/node_modules/readable-stream
├── isarray@0.0.1
├── inherits@2.0.1
├── string_decoder@0.10.31
└── core-util-is@1.0.1
readable-stream@1.1.13 node_modules/bower/node_modules/decompress-zip/node_modules/readable-stream
├── isarray@0.0.1
├── inherits@2.0.1
├── string_decoder@0.10.31
└── core-util-is@1.0.1
nopt@2.2.1 node_modules/bower/node_modules/decompress-zip/node_modules/nopt
└── abbrev@1.0.5
touch@0.0.2 node_modules/bower/node_modules/decompress-zip/node_modules/touch
└── nopt@1.0.10 (abbrev@1.0.5)
cardinal@0.4.0 node_modules/bower/node_modules/cardinal
└── redeyed@0.4.4 (esprima@1.0.4)
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/gulp-flatten/node_modules/gulp-util requires through2@'^0.5.0' but will load
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/gulp-flatten/node_modules/through2,
npm WARN unmet dependency which is version 0.4.2
jshint-stylish@0.4.0 node_modules/jshint-stylish
├── log-symbols@1.0.1
├── text-table@0.2.0
└── chalk@0.5.1 (escape-string-regexp@1.0.2, ansi-styles@1.1.0, supports-color@0.2.0, strip-ansi@0.3.0, has-ansi@0.1.0)
end-of-stream@0.1.5 node_modules/gulp/node_modules/orchestrator/node_modules/end-of-stream
└── once@1.3.1 (wrappy@1.0.1)
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/bower/node_modules/bower-registry-client/node_modules/request/node_modules/form-data requires async@'~0.9.0' but will load
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/bower/node_modules/bower-registry-client/node_modules/async,
npm WARN unmet dependency which is version 0.2.10
glob@4.0.6 node_modules/bower/node_modules/glob
├── inherits@2.0.1
├── minimatch@1.0.0 (sigmund@1.0.0)
└── once@1.3.1 (wrappy@1.0.1)
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/bower/node_modules/bower-registry-client/node_modules/request/node_modules/form-data requires async@'~0.9.0' but will load
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/bower/node_modules/bower-registry-client/node_modules/async,
npm WARN unmet dependency which is version 0.2.10
tar-fs@0.5.2 node_modules/bower/node_modules/tar-fs
├── pump@0.3.5 (once@1.2.0, end-of-stream@1.0.0)
└── tar-stream@0.4.7 (xtend@4.0.0, bl@0.9.3, readable-stream@1.0.33, end-of-stream@1.1.0)
 
> gmsmith@0.4.5 preinstall /home/pbeaujea/Devels/zds-site/node_modules/gulp.spritesmith/node_modules/spritesmith/node_modules/gmsmith
> gm -version || convert -version

sh: 1: gm: not found
Version: ImageMagick 6.8.9-9 Q16 x86_64 2014-11-15 http://www.imagemagick.org
Copyright: Copyright (C) 1999-2014 ImageMagick Studio LLC
Features: DPC Modules OpenMP
Delegates: bzlib djvu fftw fontconfig freetype jbig jng jpeg lcms lqr ltdl lzma openexr pangocairo png tiff wmf x xml zlib

multimatch@0.3.0 node_modules/gulp-filter/node_modules/multimatch
├── array-differ@0.1.0
├── minimatch@0.3.0 (sigmund@1.0.0, lru-cache@2.5.0)
└── array-union@0.1.0 (array-uniq@0.1.1)
 
> phantomjssmith@0.5.3 preinstall /home/pbeaujea/Devels/zds-site/node_modules/gulp.spritesmith/node_modules/spritesmith/node_modules/phantomjssmith
> phantomjs --version

sh: 1: phantomjs: not found
npm WARN optional dep failed, continuing phantomjssmith@0.5.3
uglify-js@2.3.6 node_modules/bower/node_modules/handlebars/node_modules/uglify-js
├── async@0.2.10
└── source-map@0.1.40 (amdefine@0.1.0)
js-yaml@3.0.2 node_modules/bower/node_modules/insight/node_modules/configstore/node_modules/js-yaml
├── esprima@1.0.4
└── argparse@0.1.16 (underscore.string@2.4.0, underscore@1.7.0)
faye-websocket@0.7.3 node_modules/gulp-livereload/node_modules/tiny-lr/node_modules/faye-websocket
└── websocket-driver@0.5.0 (websocket-extensions@0.1.0)
body-parser@1.8.4 node_modules/gulp-livereload/node_modules/tiny-lr/node_modules/body-parser
├── bytes@1.0.0
├── media-typer@0.3.0
├── raw-body@1.3.0
├── depd@0.4.5
├── qs@2.2.4
├── iconv-lite@0.4.4
├── type-is@1.5.4 (mime-types@2.0.4)
└── on-finished@2.1.0 (ee-first@1.0.5)
request@2.51.0 node_modules/bower/node_modules/insight/node_modules/request
├── caseless@0.8.0
├── forever-agent@0.5.2
├── aws-sign2@0.5.0
├── json-stringify-safe@5.0.0
├── stringstream@0.0.4
├── oauth-sign@0.5.0
├── tunnel-agent@0.4.0
├── node-uuid@1.4.2
├── qs@2.3.3
├── mime-types@1.0.2
├── bl@0.9.3 (readable-stream@1.0.33)
├── form-data@0.2.0 (mime-types@2.0.4)
├── combined-stream@0.0.7 (delayed-stream@0.0.5)
├── hawk@1.1.1 (cryptiles@0.2.2, sntp@0.2.4, boom@0.4.2, hoek@0.9.1)
└── http-signature@0.10.0 (assert-plus@0.1.2, asn1@0.1.11, ctype@0.5.2)
request@2.27.0 node_modules/bower/node_modules/bower-registry-client/node_modules/request
├── json-stringify-safe@5.0.0
├── aws-sign@0.3.0
├── forever-agent@0.5.2
├── qs@0.6.6
├── tunnel-agent@0.3.0
├── oauth-sign@0.3.0
├── cookie-jar@0.3.0
├── mime@1.2.11
├── node-uuid@1.4.2
├── form-data@0.1.4 (async@0.9.0, combined-stream@0.0.7)
├── hawk@1.0.0 (cryptiles@0.2.2, sntp@0.2.4, boom@0.4.2, hoek@0.9.1)
└── http-signature@0.10.0 (assert-plus@0.1.2, asn1@0.1.11, ctype@0.5.2)
request@2.42.0 node_modules/bower/node_modules/request
├── caseless@0.6.0
├── json-stringify-safe@5.0.0
├── forever-agent@0.5.2
├── aws-sign2@0.5.0
├── stringstream@0.0.4
├── oauth-sign@0.4.0
├── tunnel-agent@0.4.0
├── qs@1.2.2
├── node-uuid@1.4.2
├── mime-types@1.0.2
├── bl@0.9.3 (readable-stream@1.0.33)
├── tough-cookie@0.12.1 (punycode@1.3.2)
├── form-data@0.1.4 (mime@1.2.11, async@0.9.0, combined-stream@0.0.7)
├── hawk@1.1.1 (cryptiles@0.2.2, sntp@0.2.4, boom@0.4.2, hoek@0.9.1)
└── http-signature@0.10.0 (assert-plus@0.1.2, asn1@0.1.11, ctype@0.5.2)
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/gulp/node_modules/vinyl-fs/node_modules/glob-watcher/node_modules/gaze/node_modules/globule/node_modules/glob requires graceful-fs@'~1.2.0' but will load
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/gulp/node_modules/vinyl-fs/node_modules/graceful-fs,
npm WARN unmet dependency which is version 3.0.5
gulp-load-plugins@0.5.3 node_modules/gulp-load-plugins
├── multimatch@0.3.0 (array-differ@0.1.0, minimatch@0.3.0, array-union@0.1.0)
└── findup-sync@0.1.3 (lodash@2.4.1, glob@3.2.11)
glob-watcher@0.0.6 node_modules/gulp/node_modules/vinyl-fs/node_modules/glob-watcher
└── gaze@0.5.1 (globule@0.1.0)
 
> canvas@1.1.6 install /home/pbeaujea/Devels/zds-site/node_modules/gulp.spritesmith/node_modules/spritesmith/node_modules/canvassmith/node_modules/canvas
> node-gyp rebuild

Usage: gyp_main.py [options ...] [build_file ...]

gyp_main.py: error: no such option: --no-parallel
gyp ERR! configure error 
gyp ERR! stack Error: `gyp` failed with exit code: 2
gyp ERR! stack     at ChildProcess.onCpExit (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:343:16)
gyp ERR! stack     at ChildProcess.emit (events.js:98:17)
gyp ERR! stack     at Process.ChildProcess._handle.onexit (child_process.js:809:12)
gyp ERR! System Linux 3.16.0-4-amd64
gyp ERR! command "node" "/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
gyp ERR! cwd /home/pbeaujea/Devels/zds-site/node_modules/gulp.spritesmith/node_modules/spritesmith/node_modules/canvassmith/node_modules/canvas
gyp ERR! node -v v0.10.29
gyp ERR! node-gyp -v v1.0.2
gyp ERR! not ok 
npm WARN optional dep failed, continuing canvassmith@0.2.4
npm WARN engine pngjs@0.4.0: wanted: {"node":"0.8.x"} (current: {"node":"0.10.29","npm":"2.1.12"})
inquirer@0.6.0 node_modules/bower/node_modules/insight/node_modules/inquirer
├── mute-stream@0.0.4
├── through@2.3.6
├── lodash@2.4.1
├── rx@2.3.22
├── readline2@0.1.0 (chalk@0.4.0)
└── cli-color@0.3.2 (d@0.1.1, timers-ext@0.1.0, es5-ext@0.10.4, memoizee@0.3.8)
inquirer@0.7.1 node_modules/bower/node_modules/inquirer
├── figures@1.3.5
├── mute-stream@0.0.4
├── through@2.3.6
├── lodash@2.4.1
├── rx@2.3.22
├── readline2@0.1.0 (chalk@0.4.0)
└── cli-color@0.3.2 (d@0.1.1, timers-ext@0.1.0, es5-ext@0.10.4, memoizee@0.3.8)
gulp-util@2.2.20 node_modules/gulp.spritesmith/node_modules/gulp-util
├── lodash._reinterpolate@2.4.1
├── minimist@0.2.0
├── chalk@0.5.1 (escape-string-regexp@1.0.2, ansi-styles@1.1.0, supports-color@0.2.0, strip-ansi@0.3.0, has-ansi@0.1.0)
├── through2@0.5.1 (xtend@3.0.0, readable-stream@1.0.33)
├── vinyl@0.2.3 (clone-stats@0.0.1)
├── lodash.template@2.4.1 (lodash._escapestringchar@2.4.1, lodash.values@2.4.1, lodash.templatesettings@2.4.1, lodash.defaults@2.4.1, lodash.keys@2.4.1, lodash.escape@2.4.1)
├── multipipe@0.1.2 (duplexer2@0.0.2)
└── dateformat@1.0.11 (get-stdin@3.0.2, meow@2.0.0)
gulp-util@2.2.20 node_modules/gulp-concat/node_modules/gulp-util
├── lodash._reinterpolate@2.4.1
├── minimist@0.2.0
├── chalk@0.5.1 (escape-string-regexp@1.0.2, ansi-styles@1.1.0, supports-color@0.2.0, has-ansi@0.1.0, strip-ansi@0.3.0)
├── through2@0.5.1 (xtend@3.0.0, readable-stream@1.0.33)
├── vinyl@0.2.3 (clone-stats@0.0.1)
├── lodash.template@2.4.1 (lodash._escapestringchar@2.4.1, lodash.values@2.4.1, lodash.templatesettings@2.4.1, lodash.defaults@2.4.1, lodash.keys@2.4.1, lodash.escape@2.4.1)
├── multipipe@0.1.2 (duplexer2@0.0.2)
└── dateformat@1.0.11 (get-stdin@3.0.2, meow@2.0.0)
gulp-rimraf@0.1.1 node_modules/gulp-rimraf
├── rimraf@2.2.8
├── through2@0.6.3 (xtend@4.0.0, readable-stream@1.0.33)
└── gulp-util@3.0.1 (lodash._reinterpolate@2.4.1, minimist@1.1.0, lodash@2.4.1, vinyl@0.4.6, chalk@0.5.1, lodash.template@2.4.1, multipipe@0.1.2, dateformat@1.0.11)
gulp-newer@0.3.0 node_modules/gulp-newer
├── kew@0.3.4
└── gulp-util@2.2.20 (lodash._reinterpolate@2.4.1, minimist@0.2.0, vinyl@0.2.3, chalk@0.5.1, lodash.template@2.4.1, through2@0.5.1, multipipe@0.1.2, dateformat@1.0.11)
gulp-compass@1.3.3 node_modules/gulp-compass
├── which@1.0.8
├── through2@0.6.3 (xtend@4.0.0, readable-stream@1.0.33)
└── gulp-util@3.0.1 (lodash._reinterpolate@2.4.1, minimist@1.1.0, lodash@2.4.1, vinyl@0.4.6, chalk@0.5.1, lodash.template@2.4.1, multipipe@0.1.2, dateformat@1.0.11)
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/gulp-autoprefixer/node_modules/gulp-util/node_modules/dateformat/node_modules/meow requires minimist@'^1.1.0' but will load
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/gulp-autoprefixer/node_modules/gulp-util/node_modules/minimist,
npm WARN unmet dependency which is version 0.2.0
gulp-flatten@0.0.2 node_modules/gulp-flatten
├── gulp-util@2.2.20 (lodash._reinterpolate@2.4.1, minimist@0.2.0, vinyl@0.2.3, chalk@0.5.1, lodash.template@2.4.1, through2@0.5.1, multipipe@0.1.2, dateformat@1.0.11)
└── through2@0.4.2 (readable-stream@1.0.33, xtend@2.1.2)
gulp-uglify@0.3.2 node_modules/gulp-uglify
├── deepmerge@0.2.7
├── through2@0.6.3 (xtend@4.0.0, readable-stream@1.0.33)
├── gulp-util@3.0.1 (lodash._reinterpolate@2.4.1, minimist@1.1.0, lodash@2.4.1, vinyl@0.4.6, chalk@0.5.1, lodash.template@2.4.1, multipipe@0.1.2, dateformat@1.0.11)
└── uglify-js@2.4.6 (uglify-to-browserify@1.0.2, async@0.2.10, source-map@0.1.40, optimist@0.3.7)
update-notifier@0.2.0 node_modules/bower/node_modules/update-notifier
├── semver-diff@0.1.0
├── string-length@0.1.2 (strip-ansi@0.2.2)
├── configstore@0.3.1 (object-assign@0.3.1, uuid@1.4.2, js-yaml@3.0.2)
└── latest-version@0.2.0 (package-json@0.2.0)
spritesmith@0.20.1 node_modules/gulp.spritesmith/node_modules/spritesmith
├── async@0.2.10
├── layout@2.0.2 (binpacking@0.0.1)
├── gmsmith@0.4.5 (obj-extend@0.1.0, which@1.0.8, gm@1.4.2, temporary@0.0.5)
└── pngsmith@0.1.3 (obj-extend@0.1.0, save-pixels@0.3.0, ndarray@1.0.16, concat-stream@1.2.1, get-pixels@1.0.1)
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/gulp-imagemin/node_modules/imagemin/node_modules/vinyl-fs/node_modules/glob-watcher/node_modules/gaze/node_modules/globule/node_modules/glob requires graceful-fs@'~1.2.0' but will load
npm WARN unmet dependency /home/pbeaujea/Devels/zds-site/node_modules/gulp-imagemin/node_modules/imagemin/node_modules/vinyl-fs/node_modules/graceful-fs,
npm WARN unmet dependency which is version 3.0.5
gulp-autoprefixer@0.0.9 node_modules/gulp-autoprefixer
├── bufferstreams@0.0.2 (readable-stream@1.0.33)
├── gulp-util@2.2.20 (lodash._reinterpolate@2.4.1, minimist@0.2.0, vinyl@0.2.3, chalk@0.5.1, dateformat@1.0.11, through2@0.5.1, multipipe@0.1.2, lodash.template@2.4.1)
└── autoprefixer@2.2.0 (caniuse-db@1.0.30000032, postcss@2.1.2, fs-extra@0.10.0)
 
> gifsicle@2.0.1 postinstall /home/pbeaujea/Devels/zds-site/node_modules/gulp-imagemin/node_modules/imagemin/node_modules/imagemin-gifsicle/node_modules/gifsicle
> node lib/install.js

  ✔ gifsicle pre-build test passed successfully


> optipng-bin@2.0.4 postinstall /home/pbeaujea/Devels/zds-site/node_modules/gulp-imagemin/node_modules/imagemin/node_modules/imagemin-optipng/node_modules/optipng-bin
> node lib/install.js

  ✔ optipng pre-build test passed successfully

> jpegtran-bin@2.0.2 postinstall /home/pbeaujea/Devels/zds-site/node_modules/gulp-imagemin/node_modules/imagemin/node_modules/imagemin-jpegtran/node_modules/jpegtran-bin
> node lib/install.js

  ✔ jpegtran pre-build test passed successfully

> pngquant-bin@2.0.3 postinstall /home/pbeaujea/Devels/zds-site/node_modules/gulp-imagemin/node_modules/imagemin/node_modules/imagemin-pngquant/node_modules/pngquant-bin
> node lib/install.js

  ✔ pngquant pre-build test passed successfully

> node-sass@0.9.6 install /home/pbeaujea/Devels/zds-site/node_modules/gulp-sass/node_modules/node-sass
> node build.js

`linux-x64-v8-3.14` exists; testing

  
  ․․․․․․․․․․․․․․․․․․․․․․․․․․

  26 passing (28ms)

Binary is fine; exiting
gulp-imagemin@1.2.1 node_modules/gulp-imagemin
├── object-assign@1.0.0
├── pretty-bytes@1.0.2 (get-stdin@1.0.0)
├── chalk@0.5.1 (escape-string-regexp@1.0.2, ansi-styles@1.1.0, supports-color@0.2.0, has-ansi@0.1.0, strip-ansi@0.3.0)
├── through2-concurrent@0.3.1 (through2@0.6.3)
├── gulp-util@3.0.1 (lodash._reinterpolate@2.4.1, minimist@1.1.0, lodash@2.4.1, vinyl@0.4.6, lodash.template@2.4.1, through2@0.6.3, multipipe@0.1.2, dateformat@1.0.11)
└── imagemin@2.2.1 (get-stdin@3.0.2, optional@0.1.2, vinyl@0.4.6, stream-combiner@0.2.1, meow@2.0.0, concat-stream@1.4.7, through2@0.6.3, vinyl-fs@0.3.13, imagemin-svgo@3.0.3, imagemin-gifsicle@4.0.0, imagemin-optipng@4.0.0, imagemin-jpegtran@4.0.0, imagemin-pngquant@4.0.0)
gulp-sass@0.7.3 node_modules/gulp-sass
├── map-stream@0.1.0
├── gulp-util@3.0.1 (lodash._reinterpolate@2.4.1, minimist@1.1.0, chalk@0.5.1, vinyl@0.4.6, lodash@2.4.1, through2@0.6.3, multipipe@0.1.2, lodash.template@2.4.1, dateformat@1.0.11)
└── node-sass@0.9.6 (get-stdin@3.0.2, object-assign@1.0.0, node-watch@0.3.4, node-sass-middleware@0.3.1, nan@1.3.0, chalk@0.5.1, mkdirp@0.5.0, shelljs@0.3.0, yargs@1.3.3, mocha@1.21.5, sinon@1.10.3)

Doctorant et assistant en chimie à l'Université de NamurEx-dev' pour ZdS (a aidé à réaliser la ZEP-12 !) • Carniste cis (y parait que c'est une injure)

+0 -0

Cette réponse a aidé l'auteur du sujet

Je viens de tester et j'ai exactement la même erreur !

A faire :

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
git clone url nom_a
cd nom_a
npm install
npm run-script build
cd ..
rm -rI nom_a
git clone url nom_b
cd nom_b
npm install
npm run-script build

Et là si vous faites ls .. vous aurez "nom_a" et "nom_b" !

Médicament flemmard aux pul(p)sions imprécises. “Don’t wait for the perfect moment. Take the moment and make it perfect.”

+1 -0

Bon, le problème vient de la dépendance "imagemin".

EDITS :

Plus précisément de la mise en cache des images minimisées !


Encore plus précisement, la faute revient à $.cache() que l'on trouve à la ligne 110 et à la ligne 118 !

Édité par Situphen

Médicament flemmard aux pul(p)sions imprécises. “Don’t wait for the perfect moment. Take the moment and make it perfect.”

+0 -0
Vous devez être connecté pour pouvoir poster un message.
Connexion

Pas encore inscrit ?

Créez un compte en une minute pour profiter pleinement de toutes les fonctionnalités de Zeste de Savoir. Ici, tout est gratuit et sans publicité.
Créer un compte